- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateContainerThreatDetectionSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateContainerThreatDetectionSettings#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateContainerThreatDetectionSettings#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateContainerThreatDetectionSettings#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateContainerThreatDetectionSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateContainerThreatDetectionSettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateContainerThreatDetectionSettings#try-it)

Updates the ContainerThreatDetectionSettings resource.

### IAM Permissions

Requires the following IAM permission on the `containerThreatDetectionSettings.name` field:

- `securitycenter.containerthreatdetectionsettings.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v1beta2/{containerThreatDetectionSettings.name=folders/*/containerThreatDetectionSettings}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `containerThreatDetectionSettings.name` | `string` Identifier. The resource name of the ContainerThreatDetectionSettings. Formats: - organizations/{organization}/containerThreatDetectionSettings - folders/{folder}/containerThreatDetectionSettings - projects/{project}/containerThreatDetectionSettings - projects/{project}/locations/{location}/clusters/{cluster}/containerThreatDetectionSettings |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to be updated. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/ContainerThreatDetectionSettings`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/ContainerThreatDetectionSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).